import { Stage, StageProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { IStacksCreation } from '../applicationProps';
export interface AppStageProps extends StageProps {
    envName: string;
    stacks: IStacksCreation;
    fixPathsMetadata?: boolean;
}
export declare class AppStage extends Stage {
    constructor(scope: Construct, id: string, props: AppStageProps);
}
